Package org.pushingpixels.trident

# Class TridentConfig.FixedRatePulseSource

java.lang.Object
org.pushingpixels.trident.TridentConfig.FixedRatePulseSource

All Implemented Interfaces:
  `TridentConfig.PulseSource`

Enclosing class:
  `TridentConfig`

public static class TridentConfig.FixedRatePulseSource extends Object implements TridentConfig.PulseSource

## Constructor Summary

Constructors
Constructor
Description
`FixedRatePulseSource(int msDelay)`

## Method Summary

Modifier and Type
Method
Description
`void`
`waitUntilNextPulse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FixedRatePulseSource

public FixedRatePulseSource(int msDelay)

## Method Details

### waitUntilNextPulse

public void waitUntilNextPulse()

Specified by:
  `waitUntilNextPulse` in interface `TridentConfig.PulseSource`